/* ======================================================================== */
/* FILE: SPAWNHLP.C */

#include <process.h>
#include <stdio.h>
#include <stdlib.h>

/* ======================================================================== */
/* FUNCTION: SpawnHelp
**
** This function can be linked into C programs and called to
** spawn the EZhelp Reference system.
**
** Parameters:  iMenu - Menu to start EZhelp
**              iHelp - Topic to jump directly into
**                      (or 0 to show the menu)
**              fAuto - TRUE if automatic window sizing
**                      should be performed, FALSE otherwise
**              fDisp - TRUE if errors should be displayed,
**                      FALSE otherwise
**              fTop  - TRUE if help text should be anchored
**                      at the top of the screen, FALSE to
**                      anchor at the bottom
**
** Returns: The result of the spawnv() call.
**
*/

int
SpawnHelp(int iMenu, int iHelp, int fAuto,
          int fDisp, int fTop) {

  int iSize;
  char *pArg;
  char *path = "EZHELP.EXE";
  char *args[] = { "EZHELP.EXE",
                   "EZSETUP.TXT",
                   "-M   ",
                   "-J   ",
                   "-A ",
                   "-D ",
                   "-L ",
                   0 };

  pArg = args[2];
  pArg += 2;
  iSize = iMenu < 10 ? 1 : 2;
  sprintf(pArg,"%*d", iSize, iMenu);

  pArg = args[3];
  pArg += 2;
  iSize = iHelp < 10 ? 1 : 2;
  sprintf(pArg,"%*d", iSize, iHelp);

  strcpy(args[4], "-A");
  strcpy(args[5], "-D");
  strcpy(args[6], "-L");

  if(!fAuto) memset(args[4], ' ', 2);
  if(!fDisp) memset(args[5], ' ', 2);
  if(!fTop)  memset(args[6], ' ', 2);

  return(spawnvp(P_WAIT, path, args));

}



